SKETCHPOINT → coordinate transformation

Private Sub del()

    Dim SwApp As SldWorks.SldWorks, SwModel As ModelDoc2

        Set SwApp = Application.SldWorks

        Set SwModel = SwApp.ActiveDoc

    Dim tmp, tmp1, tmp2

        With SwModel

                tmp = .Extension.SelectByID2("", "VERTEX", 0.2300188309882, 0.1745324620915, -24494.59, False, 0, Nothing, 0)

                tmp1 = .Extension.SelectByID2("Point23", "SKETCHPOINT", 0.2300188309882, 0.1745324620915, -24494.59, False, 0, Nothing, 0)

                'tmp2 = .Extension.SelectByID2("Point23", "SKETCHPOINT", 2.999933332593, -0.776, 0, False, 0, Nothing, 0)

                'Stop

                SwModel.CreatePoint2 2.999933332593, -0.776, 0

                tmp2 = .Extension.SelectByID2("Point23", "SKETCHPOINT", 2.999933332593, -0.776, 0, False, 0, Nothing, 0)

                Stop

        End With

      

End Sub

Help me

CreatePoint2 2.999933332593, -0.776, 0 → coordinate transformation → 0.2300188309882, 0.1745324620915,

SolidworksApi macros